import Vue from 'vue';
import dataTable from '@common/src/components/frame/c-table.vue';
import dataForm from '@common/src/components/frame/c-form.vue';
import cDialog from '@common/src/components/frame/c-dialog.vue';
import cUpload from '@common/src/components/frame/c-upload.vue';
import cSearch from '@common/src/components/frame/c-search.vue';
import cButton from '@common/src/components/frame/c-button.vue';
import cPage from '@common/src/components/frame/c-page.vue';

const Plugin = (vue) => {
  vue.component('data-table', dataTable);
  vue.component('data-form', dataForm);
  vue.component('cDialog', cDialog);
  vue.component('cUpload', cUpload);
  vue.component('cSearch', cSearch);
  vue.component('cButton', cButton);
  vue.component('cPage', cPage);
};

Vue.use(Plugin);
